Calamares not selecting correct timezone when connected to internet

Bug #1845424 reported by Jane Atkinson on 2019-09-26
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
calamares (Ubuntu)
Undecided
Unassigned

Bug Description

When installing from Lubuntu ISO image 20190925 in a QEMU/KVM vm, the "Where are you" screen defaults to New York, although my correct timezone is Pacific/Auckland and the vm is connected to the internet.

I have double-checked that the internet is working by pinging ubuntuforums.org or ubuntu.com

Ubiquity finds the timezone correctly.

This also occurs on a bare metal install.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1845424

tags: added: iso-testing
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in calamares (Ubuntu):
status: New → Confirmed
FranksMCB (franksmcb) wrote :
Download full text (390.1 KiB)

/var/log/installer/debug

=== START CALAMARES 3.2.12
2019-09-26 - 23:42:17 [6]: Calamares version: 3.2.12
2019-09-26 - 23:42:17 [6]: languages: "ar, ast, bg, ca, cs_CZ, da, de, el, en, en_GB, eo, es, es_MX, es_PR, et, eu, fi_FI, fr, gl, he, hi, hr, hu, id, is, it_IT, ja, ko, lt, mr, nb, nl, pl, pt_BR, pt_PT, ro, ru, sk, sl, sq, sr, sr@latin, sv, th, tr_TR, uk, zh_CN, zh_TW"
2019-09-26 - 23:42:17 [6]: Using Calamares QML directory "/usr/share/calamares/qml"
2019-09-26 - 23:42:17 [6]: Using Calamares settings file at "/etc/calamares/settings.conf"
2019-09-26 - 23:42:17 [6]: Using Calamares branding file at "/etc/calamares/branding/lubuntu/branding.desc"
2019-09-26 - 23:42:17 [6]: Loaded branding component "lubuntu"
2019-09-26 - 23:42:17 [6]: STARTUP: initQmlPath, initSettings, initBranding done
2019-09-26 - 23:42:17 [6]: STARTUP: initModuleManager: module init started
2019-09-26 - 23:42:17 [6]: STARTUP: initModuleManager: all modules init done
2019-09-26 - 23:42:17 [6]: STARTUP: initJobQueue done
2019-09-26 - 23:42:17 [6]: Available desktop QSize(1366, 736) minimum size QSize(1024, 520)
2019-09-26 - 23:42:17 [6]: .. Proposed window size: 1024 520
2019-09-26 - 23:42:17 [0]: Icon theme "elementary" not found.
2019-09-26 - 23:42:17 [2]: WARNING: The branding component "/etc/calamares/branding/lubuntu" does not ship stylesheet.qss.
2019-09-26 - 23:42:17 [6]: STARTUP: CalamaresWindow created; loadModules started
2019-09-26 - 23:42:17 [6]: Loaded module configuration "/etc/calamares/modules/welcome.conf"
2019-09-26 - 23:42:17 [6]: Matching locale QLocale(C, Default, Default)
2019-09-26 - 23:42:17 [6]: .. Matching approximate locale QLocale::C
2019-09-26 - 23:42:17 [6]: .. Matching English (US)
2019-09-26 - 23:42:17 [6]: .. Matched with index 8 "en_US"
2019-09-26 - 23:42:17 [6]: Looking for translations for "en_US"
2019-09-26 - 23:42:17 [6]: .. Branding using default, system locale not found: "en_US"
2019-09-26 - 23:42:17 [6]: .. Calamares using locale: "en_US"
2019-09-26 - 23:42:17 [6]: Welcome string false "Lubuntu"
2019-09-26 - 23:42:17 [0]: OpenType support missing for "Ubuntu", script 11
2019-09-26 - 23:42:17 [2]: WARNING: Invalid YAML data for GeoIPJSON
2019-09-26 - 23:42:18 [6]: ViewModule "welcome@welcome" loading complete.
2019-09-26 - 23:42:18 [6]: Loaded module configuration "/etc/calamares/modules/locale.conf"
2019-09-26 - 23:42:18 [6]: ViewModule "locale@locale" loading complete.
2019-09-26 - 23:42:18 [6]: No config file for "keyboard" found anywhere at
     "/etc/calamares/modules/keyboard.conf"
     "/usr/share/calamares/modules/keyboard.conf"
2019-09-26 - 23:42:19 [6]: ViewModule "keyboard@keyboard" loading complete.
2019-09-26 - 23:42:19 [6]: Loaded module configuration "/etc/calamares/modules/partition.conf"
2019-09-26 - 23:42:19 [8]: Loaded backend plugin: "pmlibpartedbackendplugin"
2019-09-26 - 23:42:19 [6]: Setting firmwareType to "bios"
2019-09-26 - 23:42:19 [6]: Found filesystem "ext4"
2019-09-26 - 23:42:19 [6]: Partition-module setting *defaultFileSystemType* "ext4"
2019-09-26 - 23:42:19 [6]: Found filesystem "ext4"
2019-09-26 - 23:42:19 [6]: ViewModule "partition@part...

FranksMCB (franksmcb) on 2019-09-27
description: updated
Jane Atkinson (irihapeti) wrote :

Title updated as this isn't specifically a VM issue.

summary: Calamares not selecting correct timezone when connected to internet
- (QEMU/KVM)
Chris Guiver (guiverc) wrote :

Lubuntu 19.10 QA-install on hardware - hp dc7700 (c2d-e6320, 5gb, nvidia quadro nvs 290)

I've heard of this issue many times on IRC, but first for me.
I could ping my ISP using name so internet (inc. DNS) was good.

(most of my installs are on dell, and usually AMD/ATI video but who knows..)

Jane Atkinson (irihapeti) wrote :

Lubuntu 20191012
Now showing the correct timezone when connected to internet.

Walter Lapchynski (wxl) wrote :

With the 20191014 release candidate, it has been confirmed that this issue is now resolved.

Changed in calamares (Ubuntu):
status: Confirmed → Fix Released
Walter Lapchynski (wxl) wrote :

BTW this was fixed with the new upstream release:

calamares (3.2.14-0ubuntu1) eoan; urgency=medium

  * New upstream release.
  * Update copyright information for appdata file.
  * Do not build against PythonQt.
  * Update copyright to point to 3rdparty code directory.

 -- Dan Simmons <email address hidden> Tue, 08 Oct 2019 18:55:30 -0400

as there were several changes to the geoip functionality, including officially deprecating the legacy configuration which we had moved away from a while back:

calamares-settings-ubuntu (1:19.10.4) eoan; urgency=medium

  [ Dan Simmons ]
  * Bump Standards-Version to 4.4.0, no changes needed.
  * Bump debhelper to 12, no changes needed.
  * Adjust automirror config to new style. Change automirror module
    to allow for new config style.
  * Add setting for donate button in welcome.
  * Add geoip for welcome.
  * Adjust locale.conf to new geoip style.
  * Set userSwapChoices to none in partition.conf.
  * Set defaultFileSystemType to "ext4" in partition.conf.
  * Set default dont-chroot, oem-setup, disable-cancel, to
    eliminate warnings from settings.conf.
  * Add efiMountOptions: umask=0077 to fstab.conf.
  * Set restart mode to new style in finished.conf.
  * Set bootloader entry name to Ubuntu.
  * Set slide show API to 1 to eliminate warnings.
  * Fix lintian errors and warnings.
    - Add depends for python3 in calamares-settings-ubuntu-common.
    - Adjust depends for calamares-settings-lubuntu.
    - Add further description to extended description for
      calamares-settings-lubuntu and calamares-settings-ubuntu.
    - Add lintian override for bash in .desktop file.
    - Remove unusual-interpreter in .desktop file.
    - Adjust Makefile so .desktop file so it is not executable.
    - Add keywords to .desktop file.
    - Remove executable flag from automirror.conf and module.desc.
    - Adjust debian/rules dpkg-architecture-variable.

  [ apt-ghetto ]
  * Fix small issues in automirror module
    - Remove whitespace before index bracket.
    - Remove undefined variable.
    - Fix over-indented block.

 -- Dan Simmons <email address hidden> Tue, 20 Aug 2019 19:59:12 -0400

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers